# Interface IValidationCheckResultQuery

public interface IValidationCheckResultQuery
A query interface to decide if a undo change whose validation check returned a status unequal `RefactoringStatus.OK` should be executed or not.

Clients should be aware that the methods defined by this interface can be called from a non UI thread.

The interface may be implemented by clients.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`proceed(RefactoringStatus status)`
Returns whether the undo proceeds or not.
`void`
`stopped(RefactoringStatus status)`
Called when the validation check returned a fatal error.

## Method Details

### proceed

boolean proceed(RefactoringStatus status)
Returns whether the undo proceeds or not. This method is called if the validation check returned a status greater than `OK` and less than `FATAL`.

Parameters:
  `status` - the refactoring status returned from `Change.isValid(IProgressMonitor)`
Returns:
  `true` if the undo should proceed; `false` otherwise

### stopped

void stopped(RefactoringStatus status)
Called when the validation check returned a fatal error. In this case the undo can't proceed. The hook can be used to present a corresponding dialog to the user.

Parameters:
  `status` - the refactoring status returned from `Change.isValid(IProgressMonitor)`